/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.lightinit.hsdatagateway.modules.gateway.service;

import java.util.List;

import com.lightinit.hsdatagateway.common.persistence.Page;
import com.lightinit.hsdatagateway.common.service.CrudService;
import com.lightinit.hsdatagateway.modules.gateway.entity.CallLog;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.lightinit.hsdatagateway.common.persistence.Page;
import com.lightinit.hsdatagateway.common.service.CrudService;
import com.lightinit.hsdatagateway.modules.gateway.entity.CallLog;
import com.lightinit.hsdatagateway.modules.gateway.dao.CallLogDao;

/**
 * 日志记录Service
 * @Author yangrui
 * @version 2019-03-07
 */
@Service
@Transactional(readOnly = true)
public class CallLogService extends CrudService<CallLogDao, CallLog> {

	@Override
	public CallLog get(Long id) {
		return super.get(id);
	}
	@Override
	public List<CallLog> findList(CallLog callLog) {
		return super.findList(callLog);
	}
	@Override
	public Page<CallLog> findPage(Page<CallLog> page, CallLog callLog) {
		return super.findPage(page, callLog);
	}
	@Override
	@Transactional(readOnly = false)
	public void save(CallLog callLog) {
		super.save(callLog);
	}
	@Override
	@Transactional(readOnly = false)
	public void delete(CallLog callLog) {
		super.delete(callLog);
	}
	
}